Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfFillType

    java.lang.Object
      java.lang.Enum<OdfFillType>
          org.odftoolkit.odfdom.dom.type.draw.OdfFillType

All Implemented Interfaces:
  Serializable, Comparable<OdfFillType>

    public enum OdfFillType

extends Enum<OdfFillType>

DOM implementation of OpenDocument attribute draw:fill.

Enum Constant Summary
`BITMAP`
`GRADIENT`
`HATCH`
`NONE`
`SOLID`

Method Summary
`static OdfFillType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfFillType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfFillType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfFillType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GRADIENT

    public static final OdfFillType GRADIENT

### HATCH

    public static final OdfFillType HATCH

### NONE

    public static final OdfFillType NONE

### BITMAP

    public static final OdfFillType BITMAP

### SOLID

    public static final OdfFillType SOLID

Method Detail

### values

    public static OdfFillType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfFillType c : OdfFillType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfFillType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfFillType>`
  Returns:
    return the name of OdfFillType

### toString

    public static String toString(OdfFillType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfFillType, see draw:fill
  Returns:
    return the name of OdfFillType

### enumValueOf

    public static OdfFillType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfFillType
  Returns:
    return the constant of OdfFillType, see draw:fill

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.